<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class AnwesenheitProtocol extends Datamodul
{
  public $abelegid;
  public $aktid;
  public $astatus;
  public $abemerkung;
  public $afehlminanfang;
  public $afehlminende;
  public $aprogresscheck;
  public $ahausaufgaben;
  public $bearbeiter;
  public $bearbdatum;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'bearbdatum':
        return \DatamodulVarType::TYPE_DATE;
      case 'abelegid':
      case 'aktid':
      case 'afehlminanfang':
      case 'afehlminende':
        return \DatamodulVarType::TYPE_INT;
    }
  }

  
  public function copyFrom($pAnwesenheit)
  {
    $this->abelegid = $pAnwesenheit->abelegid;
    $this->abemerkung = $pAnwesenheit->abemerkung;
    $this->afehlminanfang = $pAnwesenheit->afehlminanfang;
    $this->afehlminende = $pAnwesenheit->afehlminende;
    $this->ahausaufgaben = $pAnwesenheit->ahausaufgaben;
    $this->aktid = $pAnwesenheit->aktid;
    $this->aprogresscheck = $pAnwesenheit->aprogresscheck;
    $this->astatus = $pAnwesenheit->astatus;
    $this->bearbdatum = $pAnwesenheit->bearbdatum;
    $this->bearbeiter = $pAnwesenheit->bearbeiter;

    return $this;
  }
}
?>